---
title: Get Pipeline Details
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Pipelines](https://developers.cloudflare.com/api/python/resources/pipelines)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get Pipeline Details

pipelines.get\_v1(strpipeline\_id, PipelineGetV1Params\*\*kwargs) -> [PipelineGetV1Response](<https://developers.cloudflare.com/api/python/resources/pipelines#(resource)%20pipelines%20%3E%20(model)%20pipeline_get_v1_response%20%3E%20(schema)>)

GET/accounts/{account\_id}/pipelines/v1/pipelines/{pipeline\_id}

Get Pipeline details.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Pipelines Write``Pipelines Read`

##### ParametersExpand Collapse

account\_id: str

Specifies the public ID of the account.

[Link to this property](<#(resource)%20pipelines%20%3E%20(method)%20get_v1%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

pipeline\_id: str

Specifies the public ID of the pipeline.

maxLength32

minLength32

[Link to this property](<#(resource)%20pipelines%20%3E%20(method)%20get_v1%20%3E%20(params)%20default%20%3E%20(param)%20pipeline_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class PipelineGetV1Response: …

</summary>

id: str

Indicates a unique identifier for this pipeline.

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_get_v1_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

created\_at: str

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_get_v1_response%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

modified\_at: str

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_get_v1_response%20%3E%20(schema)%20%3E%20(property)%20modified_at">Link to this property</a>

name: str

Indicates the name of the Pipeline.

maxLength128

minLength1

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_get_v1_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

sql: str

Specifies SQL for the Pipeline processing flow.

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_get_v1_response%20%3E%20(schema)%20%3E%20(property)%20sql">Link to this property</a>

status: str

Indicates the current status of the Pipeline.

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_get_v1_response%20%3E%20(schema)%20%3E%20(property)%20status">Link to this property</a>

<details>

<summary>

tables: List\[Table]

List of streams and sinks used by this pipeline.

</summary>

id: str

Unique identifier for the connection (stream or sink).

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_get_v1_response%20%3E%20(schema)%20%3E%20(property)%20tables%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

latest: int

Latest available version of the connection.

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_get_v1_response%20%3E%20(schema)%20%3E%20(property)%20tables%20%3E%20(items)%20%3E%20(property)%20latest">Link to this property</a>

name: str

Name of the connection.

maxLength128

minLength1

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_get_v1_response%20%3E%20(schema)%20%3E%20(property)%20tables%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

type: Literal\["stream", "sink"]

Type of the connection.

</summary>

One of the following:

"stream"

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_get_v1_response%20%3E%20(schema)%20%3E%20(property)%20tables%20%3E%20(items)%20%3E%20(property)%20type%20%3E%20(member)%200">Link to this property</a>

"sink"

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_get_v1_response%20%3E%20(schema)%20%3E%20(property)%20tables%20%3E%20(items)%20%3E%20(property)%20type%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_get_v1_response%20%3E%20(schema)%20%3E%20(property)%20tables%20%3E%20(items)%20%3E%20(property)%20type">Link to this property</a>

version: int

Current version of the connection used by this pipeline.

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_get_v1_response%20%3E%20(schema)%20%3E%20(property)%20tables%20%3E%20(items)%20%3E%20(property)%20version">Link to this property</a>

</details>

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_get_v1_response%20%3E%20(schema)%20%3E%20(property)%20tables">Link to this property</a>

failure\_reason: Optional\[str]

Indicates the reason for the failure of the Pipeline.

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_get_v1_response%20%3E%20(schema)%20%3E%20(property)%20failure_reason">Link to this property</a>

</details>

[Link to this property](<#(resource)%20pipelines%20%3E%20(model)%20pipeline_get_v1_response%20%3E%20(schema)>)

### Get Pipeline Details

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.pipelines.get_v1(
    pipeline_id="043e105f4ecef8ad9ca31a8372d0c353",
    account_id="0123105f4ecef8ad9ca31a8372d0c353",
)
print(response.id)
```

200 example

```
{
  "result": {
    "id": "01234567890123457689012345678901",
    "created_at": "created_at",
    "modified_at": "modified_at",
    "name": "my_pipeline",
    "sql": "insert into sink select * from source;",
    "status": "status",
    "tables": [
      {
        "id": "1c9200d5872c018bb34e93e2cd8a438e",
        "latest": 5,
        "name": "my_table",
        "type": "stream",
        "version": 4
      }
    ],
    "failure_reason": "failure_reason"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "result": {
    "id": "01234567890123457689012345678901",
    "created_at": "created_at",
    "modified_at": "modified_at",
    "name": "my_pipeline",
    "sql": "insert into sink select * from source;",
    "status": "status",
    "tables": [
      {
        "id": "1c9200d5872c018bb34e93e2cd8a438e",
        "latest": 5,
        "name": "my_table",
        "type": "stream",
        "version": 4
      }
    ],
    "failure_reason": "failure_reason"
  },
  "success": true
}
```